Last Comment Bug 323357 - Bugs required to be fixed for SeaMonkey 1.0 final release
: Bugs required to be fixed for SeaMonkey 1.0 final release
Status: RESOLVED FIXED
tracking
: fixed1.8.0.1
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on: 315325 319659 321128 321526 322381 322459 323539 323970
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 15:40 PST by Ian Neal
Modified: 2006-09-24 13:44 PDT (History)
10 users (show)
iann_bugzilla: blocking‑seamonkey1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ian Neal 2006-01-13 15:40:06 PST
This is a tracking bug for those bugs that need to checked in prior to SeaMonkey 1.0 final release. Most, but not all, will have a blocking-seamonkey1.0+ flag already.
Bug numbers should be put in the "Depends on" field but also a short summary put in the comment field.
Comment 1 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-13 15:51:41 PST
315325 - remove remote content UI - this patch should land *only* on 1.8.0
Comment 2 Ian Neal 2006-01-13 16:51:51 PST
Bug 322381 is best to go in now bug 321601 has gone in, though patch author should make sure mozilla-l10n are warned.
Comment 3 Ian Neal 2006-01-13 16:57:13 PST
Bug 319659 needs to be in too, see Bug 319659#5 for details
Comment 4 Felix Miata 2006-01-13 21:26:38 PST
If it was up to me, bug 291386 would surely be set to blocking-seamonkey1.0+. It annoys me daily on OS/2, and my nephew won't even use CZ on XP any more because of it.
Comment 5 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-13 21:30:18 PST
This isn't for nominations of bugs - it's so we can make sure we land all patches that exist, have review, and council approval, because we're not allowed to check in to 1.8.0 right now.  We want to be ready to land everything as soon as we are allowed to on 1.8.0 and ship ASAP after that.
Comment 6 Stefan [:stefanh] 2006-01-14 04:33:50 PST
IanN, I'll announce both bug 322381 and bug 321526 in mozilla-l10n
Comment 7 Stefan [:stefanh] 2006-01-15 14:57:43 PST
Bug 323539 - "JS warning opening MailNews / selecting folders" (Patch for branches)
Comment 8 lfardin 2006-01-16 07:11:53 PST
I would recomend bug #184042, cause some bank sites requires java to be enabled
Comment 9 Robert Kaiser (not working on stability any more) 2006-01-16 11:14:15 PST
Why do we have this bug?
We created blocking flags to exactly not need that kind of silly bug reports...
Comment 10 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-16 11:28:07 PST
(In reply to comment #9)
> Why do we have this bug?
> We created blocking flags to exactly not need that kind of silly bug reports...

This is specifically for tracking landings on 1.8.0 since the tree is closed and we can't check patches in now.
Comment 11 Robert Kaiser (not working on stability any more) 2006-01-16 12:19:27 PST
I still se no reason at all for this bug to be around (other than wasting resources) - but then I'm not the release manager.
Comment 12 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-20 07:27:03 PST
dveditz unclosed 1.8.0.

Patches to SeaMonkey-only code can land if council has given approval.
Patches to shared code need approval from drivers *after* council has given approval.
Comment 13 Bryan 2006-01-20 16:10:09 PST
Hi,
Since we havde all of the bugs in here resolved as fixed we should do the same with this bug.
Sorry for bug spam but I am doing a request.
Comment 14 Stefan [:stefanh] 2006-01-20 16:22:13 PST
(In reply to comment #13)
> Hi,
> Since we havde all of the bugs in here resolved as fixed we should do the same
> with this bug.
> Sorry for bug spam but I am doing a request.
> 

No, not all bugs that are marked fixed are fixed on 1.8.0 branch.
Comment 15 Bryan 2006-01-20 20:23:32 PST
Hi,
All of Bug 323357 depends on:	315325 319659 321128 321526 322381 323539 323970 are lined out.
Are you sure that this is still needed?
Comment 16 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-20 20:25:54 PST
(In reply to comment #15)
> Hi,
> All of Bug 323357 depends on:   315325 319659 321128 321526 322381 323539
> 323970 are lined out.
> Are you sure that this is still needed?
> 

We will close this bug when we're done with it.
Comment 17 Stefan [:stefanh] 2006-01-21 17:31:28 PST
Err, bug 322459 - a few changes in the help doc. Needs to be announced in l10n newsgroup (Giacomo?)
Comment 18 Giacomo Magnini 2006-01-21 23:59:10 PST
I won't be able to do that until Tuesday at the earliest (out of town). If someone can do that first, please do so.
Comment 19 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-22 14:18:42 PST
Since the tree is no longer closed, this bug can be resolved.
Comment 20 Andrew Schultz 2006-01-22 14:19:46 PST
getting this off the oustanding blockers list

Note You need to log in before you can comment on or make changes to this bug.